Class RequestLineLogEntry
java.lang.Object
io.helidon.webserver.accesslog.AbstractLogEntry
io.helidon.webserver.accesslog.RequestLineLogEntry
- All Implemented Interfaces:
AccessLogEntry
Access log entry for request line.
Creates an entry
"METHOD path HTTP/version", such as
"GET /greet HTTP/1.1".-
Nested Class Summary
Nested ClassesModifier and TypeClassDescriptionstatic final classA fluent API builder forRequestLineLogEntry. -
Field Summary
Fields inherited from class AbstractLogEntry
DEFAULT_MAX_LENGTHModifier and TypeFieldDescriptionstatic final intDefault limit for the number of characters written.Fields inherited from interface AccessLogEntry
NOT_AVAILABLEModifier and TypeFieldDescriptionstatic final StringIf an entry is not available, use this string as the result. -
Method Summary
Modifier and TypeMethodDescriptionstatic RequestLineLogEntry.Builderbuilder()Create a new fluent API builder.static RequestLineLogEntrycreate()Create a new request line entry.doApply(AccessLogContext context) Apply the "raw" log entry.Methods inherited from class AbstractLogEntry
apply, maxLength, pad, sanitizeModifier and TypeMethodDescriptionapply(AccessLogContext context) Apply the log entry, adds padding to the log entry and then callsAbstractLogEntry.doApply(AccessLogContext).protected StringApply maximal length limitation.protected StringApply configured padding.protected StringApply configured sanitization.
-
Method Details
-
create
Create a new request line entry.- Returns:
- a new access log entry for request line
- See Also:
-
builder
Create a new fluent API builder.- Returns:
- a new builder instance
-
doApply
Description copied from class:AbstractLogEntryApply the "raw" log entry. The result will go through common formatting, such as padding if configured.- Specified by:
doApplyin classAbstractLogEntry- Parameters:
context- context with access to information useful for access log entries- Returns:
- log entry
- See Also:
-